structure LPPChecker : sig
  exception TypeError
  val check : LambdaPlusPlus.exp -> LambdaPlusPlus.typ
end = struct
  open LambdaPlusPlus

  structure Ctx = StringRedBlackDict
  (*
    The signature of Ctx can be found in cmlib/dict.sig, but you probably
    only need to know the following:
      empty   : 'a dict
      insert  : 'a dict -> string -> 'a -> 'a dict
      find    : 'a dict -> string -> 'a option
  *)

  exception TypeError

  val check = fn _ => raise TypeError

end
